### Method

# Vips Image extract_band

#### Declaration [src]

    int
    vips_extract_band (
      VipsImage* in,
      VipsImage** out,
      int band,
      ...
    )

#### Description [src]

Extract a band or bands from an image. Extracting out of range is an error.

`n` defaults to 1.

Optional arguments

- `n`: `gint`, number of bands to extract

See also

`vips_extract_area()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`band`

  Type: `int`

  Index of first band to extract.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.